Bug 173176 - [DFG] More ArrayIndexOf fixups for various types
Summary: [DFG] More ArrayIndexOf fixups for various types
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-09 11:43 PDT by Yusuke Suzuki
Modified: 2017-06-19 19:46 PDT (History)
5 users (show)

See Also:


Attachments
Patch (30.59 KB, patch)
2017-06-13 07:53 PDT, Yusuke Suzuki
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2017-06-09 11:43:19 PDT
...
Comment 1 Yusuke Suzuki 2017-06-09 12:02:26 PDT
We can make indexOf(null/undefined) etc. faster. (it may be shown in user code because null is typically used as a sentinel). We'll do this in this patch too.
Comment 2 Yusuke Suzuki 2017-06-13 07:53:43 PDT
Created attachment 312770 [details]
Patch
Comment 3 Saam Barati 2017-06-19 18:55:52 PDT
Comment on attachment 312770 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=312770&action=review

r=me

> Source/JavaScriptCore/dfg/DFGFixupPhase.cpp:3066
> +                return;

not needed

> Source/JavaScriptCore/dfg/DFGFixupPhase.cpp:3073
> +                return;

ditto
Comment 4 Yusuke Suzuki 2017-06-19 19:15:41 PDT
Comment on attachment 312770 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=312770&action=review

Thank you!

>> Source/JavaScriptCore/dfg/DFGFixupPhase.cpp:3066
>> +                return;
> 
> not needed

Thanks, dropped.

>> Source/JavaScriptCore/dfg/DFGFixupPhase.cpp:3073
>> +                return;
> 
> ditto

Fixed.
Comment 5 Yusuke Suzuki 2017-06-19 19:46:13 PDT
Committed r218525: <http://trac.webkit.org/changeset/218525>